"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_native_1 = require("react-native");
const core_1 = require("@replyke/core");
const comments_social_core_1 = require("@replyke/comments-social-core");
const ui_core_react_native_1 = require("@replyke/ui-core-react-native");
const Comment_1 = __importDefault(require("../Comment"));
const ShowHideButton_1 = __importDefault(require("./ShowHideButton"));
function Replies({ commentId }) {
    const { sortBy, entityCommentsTree, highlightedComment } = (0, core_1.useCommentSection)();
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { replies, newReplies, page, setPage, loading } = (0, core_1.useReplies)({
        commentId,
        sortBy: sortBy,
    });
    const [areRepliesVisible, setAreRepliesVisible] = (0, react_1.useState)(false);
    const { repliesGap, repliesPaddingTop } = styleConfig.commentProps;
    const comment = entityCommentsTree[commentId]?.comment;
    const filteredReplies = (0, react_1.useMemo)(() => {
        return replies.filter((c) => c.id !== highlightedComment?.comment.id);
    }, [replies, highlightedComment]);
    const newRepliesList = ((0, jsx_runtime_1.jsx)(react_native_1.FlatList, { data: newReplies, renderItem: ({ item }) => ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: item, extraLeftPadding: 42 })), keyExtractor: (item) => item.id, ItemSeparatorComponent: () => (0, jsx_runtime_1.jsx)(react_native_1.View, { style: { height: repliesGap } }), keyboardShouldPersistTaps: "always" }));
    const oldRepliesList = ((0, jsx_runtime_1.jsx)(react_native_1.FlatList, { data: filteredReplies, renderItem: ({ item }) => ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: item, extraLeftPadding: 42 })), keyExtractor: (item) => item.id, ItemSeparatorComponent: () => (0, jsx_runtime_1.jsx)(react_native_1.View, { style: { height: repliesGap } }), keyboardShouldPersistTaps: "always" }));
    const someRepliesShow = newReplies.length > 0 ||
        highlightedComment?.parentComment?.id === commentId ||
        (areRepliesVisible && filteredReplies.length > 0) ||
        loading;
    if ((!comment || comment.repliesCount === 0) && newReplies.length === 0)
        return null;
    return ((0, jsx_runtime_1.jsxs)(react_native_1.View, { children: [someRepliesShow && ((0, jsx_runtime_1.jsxs)(react_native_1.View, { style: {
                    paddingTop: repliesPaddingTop,
                    flexDirection: "column",
                    gap: repliesGap,
                }, children: [newRepliesList, highlightedComment &&
                        highlightedComment.parentComment?.id === commentId && ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: highlightedComment.comment, extraLeftPadding: 42 })), areRepliesVisible && oldRepliesList] })), loading && ((0, jsx_runtime_1.jsx)(react_native_1.FlatList, { data: Array.from({
                    length: Math.min(5, comment.repliesCount - filteredReplies.length),
                }, (_, index) => index + 1), renderItem: () => (0, jsx_runtime_1.jsx)(ui_core_react_native_1.CommentSkeleton, {}), keyExtractor: (item) => String(item), ItemSeparatorComponent: () => (0, jsx_runtime_1.jsx)(react_native_1.View, { style: { height: repliesGap } }), style: { paddingLeft: 42, paddingRight: 16 }, keyboardShouldPersistTaps: "always" })), (0, jsx_runtime_1.jsx)(ShowHideButton_1.default, { totalRepliesCount: comment.repliesCount -
                    (highlightedComment?.parentComment?.id === commentId ? 1 : 0), loadedRepliesCount: filteredReplies.length, page: page, setPage: setPage, areRepliesVisible: areRepliesVisible, setAreRepliesVisible: setAreRepliesVisible })] }));
}
exports.default = Replies;
//# sourceMappingURL=Replies.js.map