"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_native_1 = require("react-native");
const comments_social_core_1 = require("@replyke/comments-social-core");
const ui_core_react_native_1 = require("@replyke/ui-core-react-native");
const ShowHideButton = ({ totalRepliesCount, loadedRepliesCount, page, setPage, areRepliesVisible, setAreRepliesVisible, }) => {
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { viewRepliesPaddingTop, viewMoreRepliesText, hideRepliesText } = styleConfig.commentProps;
    let action = [];
    let text = "";
    switch (true) {
        // This case is if the replies were never expanded before (page === 0)
        case !areRepliesVisible && page === 0:
            action = ["show", "load-more"];
            text = viewMoreRepliesText.replace("$count", totalRepliesCount.toString());
            break;
        // This case is if the replies have been shown previously but are now hidden (user had o oad all before hidding)
        case !areRepliesVisible && page > 0:
            action = ["show"];
            text = viewMoreRepliesText.replace("$count", totalRepliesCount.toString());
            break;
        // This case is if the replies are visible and there are more replies to load
        case areRepliesVisible && totalRepliesCount > loadedRepliesCount:
            action = ["load-more"];
            text = viewMoreRepliesText.replace("$count", (totalRepliesCount - loadedRepliesCount).toString());
            break;
        // This case is if the replies are visible and all of them have been loaded
        case areRepliesVisible && totalRepliesCount <= loadedRepliesCount:
            action = ["hide"];
            text = hideRepliesText;
            break;
    }
    if (totalRepliesCount === 0)
        return null;
    return ((0, jsx_runtime_1.jsxs)(react_native_1.TouchableOpacity, { onPress: () => {
            if (action.includes("show"))
                setAreRepliesVisible(true);
            if (action.includes("hide"))
                setAreRepliesVisible(false);
            if (action.includes("load-more"))
                setPage((p) => p + 1);
        }, style: {
            ...ui_core_react_native_1.resetButton,
            paddingTop: viewRepliesPaddingTop,
            paddingLeft: 58,
            paddingRight: 16,
            flexDirection: "row",
            alignItems: "center",
            gap: 12,
        }, children: [(0, jsx_runtime_1.jsx)(react_native_1.View, { style: {
                    height: 1,
                    width: 24,
                    marginTop: 2,
                    backgroundColor: "#737373",
                } }), (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: { fontSize: 12, color: "#737373", fontWeight: 600 }, children: text })] }));
};
exports.default = ShowHideButton;
//# sourceMappingURL=ShowHideButton.js.map