"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_native_1 = require("react-native");
const core_1 = require("@replyke/core");
const ReplyBanner = () => {
    const { repliedToComment, showReplyBanner, setShowReplyBanner, pushMention, setRepliedToComment, } = (0, core_1.useCommentSection)();
    let repliedToUser = "";
    if (pushMention) {
        repliedToUser = (0, core_1.getUserName)(pushMention);
    }
    else if (repliedToComment?.user) {
        repliedToUser = (0, core_1.getUserName)(repliedToComment.user);
    }
    if (!showReplyBanner)
        return null;
    return ((0, jsx_runtime_1.jsx)(react_native_1.View, { style: {
            position: "absolute",
            left: 0,
            right: 0,
            bottom: 0,
            zIndex: 10,
            overflow: "hidden",
            backgroundColor: "#e7e7e7",
            padding: 12,
            height: "auto",
        }, children: (0, jsx_runtime_1.jsxs)(react_native_1.View, { style: {
                flexDirection: "row",
                alignItems: "center",
                justifyContent: "space-between",
            }, children: [(0, jsx_runtime_1.jsxs)(react_native_1.Text, { style: { color: "#787878", fontSize: 12 }, children: ["Replying to ", repliedToUser] }), (0, jsx_runtime_1.jsx)(react_native_1.TouchableOpacity, { onPress: () => {
                        setRepliedToComment?.(null);
                        setShowReplyBanner?.(false);
                    }, children: (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: { fontSize: 16, color: "#000" }, children: "\u00D7" }) })] }) }));
};
exports.default = ReplyBanner;
//# sourceMappingURL=ReplyBanner.js.map