import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { View, Text, TouchableOpacity, FlatList } from "react-native";
import { UserAvatar, UserMentionSkeleton } from "@replyke/ui-core-react-native";
const MentionSuggestions = ({ isMentionActive, isLoadingMentions, mentionSuggestions, handleMentionClick, }) => {
    if (!isMentionActive)
        return null;
    return (_jsx(View, { style: {
            height: "auto",
            maxHeight: 200,
            position: "absolute",
            bottom: 0,
            left: 0,
            right: 0,
            zIndex: 10,
            overflow: "hidden",
            backgroundColor: "white",
            borderTopColor: "#e7e7e7",
            borderTopWidth: 1,
            padding: 16,
        }, children: isLoadingMentions ? (_jsx(FlatList, { data: [1, 2, 3], keyExtractor: (item) => `loading-${item}`, renderItem: () => _jsx(UserMentionSkeleton, {}), ItemSeparatorComponent: () => _jsx(View, { style: { height: 10 } }), keyboardShouldPersistTaps: "always" })) : (_jsx(FlatList, { data: mentionSuggestions, keyExtractor: (item) => item.id, keyboardShouldPersistTaps: "always", renderItem: ({ item }) => (_jsxs(TouchableOpacity, { onPress: () => handleMentionClick(item), style: {
                    flexDirection: "row",
                    alignItems: "center",
                    paddingVertical: 8,
                }, children: [_jsx(UserAvatar, { user: item }), _jsxs(View, { style: { justifyContent: "space-evenly", marginLeft: 8 }, children: [_jsx(Text, { style: { fontSize: 14, fontWeight: "500" }, children: item.username }), item.name && (_jsx(Text, { style: { fontSize: 14, fontWeight: "400", color: "gray" }, children: item.name }))] })] })) })) }));
};
export default MentionSuggestions;
//# sourceMappingURL=MentionSuggestions.js.map