import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useState, useRef } from "react";
export const SheetManagerContext = createContext({});
export const SheetManagerProvider = ({ children, }) => {
    const commentOptionsSheetRef = useRef(null);
    const reportCommentSheetRef = useRef(null);
    const [optionsComment, setOptionsComment] = useState(null);
    const [reportedComment, setReportedComment] = useState(null);
    const openCommentOptionsSheet = (newComment) => {
        if (newComment)
            setOptionsComment(newComment);
        commentOptionsSheetRef.current?.snapToIndex(0);
    };
    const closeCommentOptionsSheet = () => {
        commentOptionsSheetRef.current?.close();
    };
    const openReportCommentSheet = (newComment) => {
        if (newComment)
            setOptionsComment(newComment);
        reportCommentSheetRef.current?.snapToIndex(0);
    };
    const closeReportCommentSheet = () => {
        reportCommentSheetRef.current?.close();
    };
    return (_jsx(SheetManagerContext.Provider, { value: {
            commentOptionsSheetRef,
            reportCommentSheetRef,
            openCommentOptionsSheet,
            closeCommentOptionsSheet,
            openReportCommentSheet,
            closeReportCommentSheet,
            optionsComment,
            setOptionsComment,
            reportedComment,
            setReportedComment,
        }, children: children }));
};
//# sourceMappingURL=SheetManagerContext.js.map